Repository 32bit  Forum
Repository 64bit  Wiki

Muletto con slackware 13.37, è necessario l'upgrade a 14.0?

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Muletto con slackware 13.37, è necessario l'upgrade a 14.0?

Messaggioda Ntropy » dom dic 30, 2012 16:06

Salve a tutti,

la domanda vi sembrerà banale ma ecco il quanto. Ho un vecchio celeron che uso come muletto per i download con sopra la 13.37 in modalità solo testo. Al momento funziona perfettamente e quindi non vorrei toccare nulla ma è da poco uscita la 14.0, l'ultima volta che provai a fare l'upgrade (da 13.1 a 13.37 se non ricordo male) feci qualche casino (anche seguendo per filo e per segno le istruzioni di Pat scritte nei vari readme della iso) e fui costretto a formattare e mettere quindi la 13.37.

Adesso ha quindi senso (per il mio muletto) o meglio è "necessario" fare l'upgrade alla 14.0? Oppure posso continuare a mantere la 13.37 magari facendo tramite slackyd solo gli update dei pacchetti che lo richiedono? Domando questo perchè non ho capito quale sia la politica di supporto delle vecchie release: vengono mantenute per un certo periodo oppure totalmente abbondanate a favore di quelle nuove....o come funzionano?

grazie a tutti
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda miklos » dom dic 30, 2012 16:35

in base all'utilizzo che, per come ho capito io, ne fai, credo che comunque utilizzi software non presente nella stable, quindi pur volendo gli aggiornamenti ufficiali non ti servirebbero.
se questo software sei in grado di tenertelo aggiornato in autonomia per me la 13.37 va piu' che bene, se altrimenti per comodità utilizzi il repo esterni, allora forse ti conviene l'upgrade.

io ho un picci simile al tuo che tengo fermo alla 13.1 per le motivazioni che ho provato a darti, ovvero il software installato me lo aggiorno in autonomia, percio' mi va bene anche non essere aggiornato all'ultima stable.

ciaup
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1214
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » dom dic 30, 2012 16:48

Bhe in sostanza si, è esattamente come dici tu. Infatti l'unico software che mantengo aggiornato direttamente io è Transmission (un client torrent). Effettivamente ci penso io ad aggiornarlo compilandomelo ogni volta che c'è un aggiornamento. Più che altro mi preoccupo se magari c'è qualche cosa di importante a livello di sicurezza alla quale poi non potrei accedere essendo legato ad una versione non recente.

Per il resto direi che posso lasciarla così com'è, ieri ho fatto gli aggiornamenti che ho trovato con slackyd e quindi per il momento lascio così.
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda miklos » dom dic 30, 2012 21:13

guarda.. per quel che ti riguarda aggiornamenti di sicurezza tipo apache, php e compagnia bella non ti servono se l'unico demone attivo è il torrent.
tra l'altro sei dietro ad un router con tanta probabilità, quindi direi proprio che degli aggiornamenti di sicurezza (che ribadisco.. spesso sono su servizi che su un picci di questo tipo non usi) te ne puoi altamente fregare e pensare alla "squadra che vince non si cambia" :P .
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1214
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » dom dic 30, 2012 22:58

miklos ha scritto:guarda.. per quel che ti riguarda aggiornamenti di sicurezza tipo apache, php e compagnia bella non ti servono se l'unico demone attivo è il torrent.
tra l'altro sei dietro ad un router con tanta probabilità, quindi direi proprio che degli aggiornamenti di sicurezza (che ribadisco.. spesso sono su servizi che su un picci di questo tipo non usi) te ne puoi altamente fregare e pensare alla "squadra che vince non si cambia" :P .


eheheeh hai perfettamente ragione :D

comunque al di là di questo mi sorge un dubbio più che lecito e cioè: le release "vecchie" tipo appunto la 13.37 perdono immediatamente il supporto agli aggiornamenti appena esce la nuova oppure continuano ad essere mantenute?
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda miklos » lun dic 31, 2012 1:47

Ntropy ha scritto:comunque al di là di questo mi sorge un dubbio più che lecito e cioè: le release "vecchie" tipo appunto la 13.37 perdono immediatamente il supporto agli aggiornamenti appena esce la nuova oppure continuano ad essere mantenute?
attualmente pat rilascia gli aggiornamenti di sicurezza fino alla 12.1, quindi in sostanza no, non lo perdono immediatamente. se continua su questa politica, la 13.37 dovrebbe smettere di essere aggiornata fra 5 release, ovvero almeno fra altri 5 anni :D
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1214
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.12.6
Desktop: openbox 3.5.2

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » lun dic 31, 2012 8:24

miklos ha scritto:
Ntropy ha scritto:comunque al di là di questo mi sorge un dubbio più che lecito e cioè: le release "vecchie" tipo appunto la 13.37 perdono immediatamente il supporto agli aggiornamenti appena esce la nuova oppure continuano ad essere mantenute?
attualmente pat rilascia gli aggiornamenti di sicurezza fino alla 12.1, quindi in sostanza no, non lo perdono immediatamente. se continua su questa politica, la 13.37 dovrebbe smettere di essere aggiornata fra 5 release, ovvero almeno fra altri 5 anni :D


Ottimo, questo è proprio quello che volevo sapere. Grazie.
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda ZeroUno » dom gen 06, 2013 13:20

fino ad agosto scorso veniva manutenuta anche la 8.1
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4397
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » dom gen 06, 2013 14:02

ZeroUno ha scritto:fino ad agosto scorso veniva manutenuta anche la 8.1


figurati, ma c'è qualche sito dove è possibile visionare diciamo questa cosa così come avviene per ubuntu?

grazie
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda navajo » dom gen 06, 2013 14:17

Sito ufficiale del progetto.
Ahi Ahi Ahi.. bisogna conoscere la propria casa..
:lol: :lol:
ps scherzo..
Avatar utente
navajo
Staff
Staff
 
Messaggi: 3778
Iscritto il: gio gen 08, 2004 0:00
Località: Roma
Nome Cognome: Massimiliano
Slackware: 13.37 (x86_64)
Kernel: 2.6.37.6
Desktop: KDE 4.7.0 (Alien)

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » dom gen 06, 2013 20:37

navajo ha scritto:Sito ufficiale del progetto.
Ahi Ahi Ahi.. bisogna conoscere la propria casa..
:lol: :lol:
ps scherzo..


lo ametto hai ragione :) , sicuramente è scritto lì da qualche parte il problema è che ho già provato a cercare ma senza risultato :evil:
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda Ntropy » dom gen 06, 2013 20:42

mi correggo l'ho trovato! banalmente è nel changelog della 12.0 #-o

anzi ve lo posto

+--------------------------+
Thu Jun 14 05:02:39 UTC 2012
####################################################################
# NOTICE OF INPENDING EOL (END OF LIFE) FOR OLD SLACKWARE VERSIONS #
# #
# Effective August 1, 2012, security patches will no longer be #
# provided for the following versions of Slackware (which will all #
# be more than 5 years old at that time): #
# Slackware 8.1, 9.0, 9.1, 10.0, 10.1, 10.2, 11.0, 12.0. #
# If you are still running these versions you should consider #
# migrating to a newer version (preferably as recent as possible). #
# Alternately, you may make arrangements to handle your own #
# security patches. If for some reason you are unable to upgrade #
# or handle your own security patches, limited security support #
# may be available for a fee. Inquire at security@slackware.com. #
####################################################################
Avatar utente
Ntropy
Linux 1.0
Linux 1.0
 
Messaggi: 23
Iscritto il: gio mar 13, 2008 22:19
Slackware: Slackware 13.1
Kernel: 2.6.35.9
Desktop: Xfce 4.6

Re: Muletto con slackware 13.37, è necessario l'upgrade a 14

Messaggioda navajo » dom gen 06, 2013 21:11

:thumbright:
Avatar utente
navajo
Staff
Staff
 
Messaggi: 3778
Iscritto il: gio gen 08, 2004 0:00
Località: Roma
Nome Cognome: Massimiliano
Slackware: 13.37 (x86_64)
Kernel: 2.6.37.6
Desktop: KDE 4.7.0 (Alien)


Torna a Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite